> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User Profile



## OpenAPI

````yaml firework-v2-openapi put /firework/v2/me/profile
openapi: 3.0.1
info:
  description: >

    Manage and access Firework resources.


    ### Steps to use the Api


    1. `Send` a POST request to `https://api.flare.systems/tokens/generate` with
    your **Firework** credentials using [Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication) to get a
    authentication token.

    ---

    2. On the current page, click on the **Authorize** button and insert the
    token using the following format: `Bearer {token}`

       Example value: `Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.e30.Et9HFtf9R3GEMA0IICOfFMVXY7kkTX1wr4qCyhIf58U`
    ---

    3. You should now be able to use SwaggerUI's built-in tools to query the
    documented endpoints.
  title: Firework API
  version: v2
servers:
  - url: https://api.flare.io/
security:
  - BearerAuth: []
tags:
  - description: Searches the threat activity database.
    name: search
  - description: Manage a user's or organization's identifiers
    name: Identifiers
  - description: Perform actions on activities.
    name: activities
  - description: Perform actions on the current user.
    name: me
  - description: Manage tenants.
    name: tenants
  - description: Admin management of organizations.
    name: organizations
  - description: Manage reporting as an admin.
    name: reporting
paths:
  /firework/v2/me/profile:
    put:
      tags:
        - me
      operationId: put_current_user_profile_/me/profile
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UserUpdate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/put_current_user_profile__me_profile_200_response
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
          description: Update is invalid
components:
  schemas:
    UserUpdate:
      properties:
        name:
          type: string
        surname:
          type: string
        settings:
          properties: {}
          type: object
        language:
          type: string
        color_scheme:
          enum:
            - auto
            - light
            - dark
          example: auto
          type: string
      required:
        - color_scheme
        - name
        - settings
        - surname
      type: object
    put_current_user_profile__me_profile_200_response:
      properties:
        profile:
          $ref: '#/components/schemas/UserProfile'
      type: object
    HttpError:
      properties:
        message:
          type: string
        code:
          type: string
      type: object
    UserProfile:
      allOf:
        - $ref: '#/components/schemas/User'
        - properties:
            settings:
              $ref: '#/components/schemas/UserSettings'
            feature_flags:
              $ref: '#/components/schemas/UserProfile_allOf_feature_flags'
            tenants:
              items:
                $ref: '#/components/schemas/Tenant'
              type: array
            is_sso_mandatory:
              type: boolean
            has_password:
              type: boolean
            urn:
              type: string
            cello_jwt:
              type: string
            needs_eusa:
              type: boolean
            domain:
              type: string
            language:
              type: string
          type: object
    User:
      properties:
        id:
          type: integer
        name:
          description: Users's name
          type: string
        surname:
          description: User's surname
          type: string
        email:
          description: User's email
          type: string
        organization_id:
          description: ID of the owner organization
          type: integer
        settings:
          $ref: '#/components/schemas/UserSettings'
        is_disabled:
          type: boolean
        feature_flags:
          properties: {}
          type: object
        registered_at:
          format: date-time
          type: string
        urn:
          description: The uniform resource name of the user.
          type: string
        organization_member_permissions:
          properties: {}
          type: object
        language:
          description: User's language
          type: string
        color_scheme:
          enum:
            - auto
            - light
            - dark
          example: auto
          type: string
        flare_role:
          type: string
      required:
        - color_scheme
        - email
        - language
        - name
      type: object
    UserSettings:
      properties:
        default_search:
          type: string
        permissions:
          items:
            type: string
          type: array
        organization_member_permissions:
          items:
            type: string
          type: array
      type: object
    UserProfile_allOf_feature_flags:
      properties: {}
      type: object
    Tenant:
      properties:
        id:
          description: Tenant ID
          type: integer
        name:
          description: Tenant name
          type: string
        type:
          description: Tenant type
          type: string
        description:
          description: This tenant's purpose
          type: string
        organization_id:
          description: ID of the owner organization
          type: integer
        urn:
          description: The uniform resource name of the tenant.
          type: string
        number_of_employees:
          description: The number of employees for the tenant.
          type: integer
        industry:
          description: The industry of the tenant.
          type: string
        is_disabled:
          description: Indicates if the tenant is disabled
          type: boolean
        is_archived:
          description: Indicates if the tenant is archived
          type: boolean
        feed_id:
          description: ID of the feed
          type: integer
        permissions:
          items:
            type: string
          type: array
        prevent_global_search:
          description: Indicates if the tenant can perform global searches
          type: boolean
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````